DescribeInstanceMonitorData

1. API Description

This API (DescribeInstanceMonitorData) is used to query the performance data of the elastic compute instance.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceId

Yes

String

Instance ID.

metricType

Yes

Performance metrics.

startTime

Yes

String

Start time.

endTime

Yes

String

End time.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

maxValue

Float

Maximum value.

minValue

Float

Minimum value.

avgValue

Float

Average value.

metrics

Array of MetricValue

Information on performance data.

4. Code Example

Query the performance data of the elastic compute instance.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated